List all suppliers
curl --request GET \
--url https://api.contazen.ro/v1/suppliers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.contazen.ro/v1/suppliers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.contazen.ro/v1/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"object": "list",
"has_more": true,
"total": 123,
"page": 123,
"per_page": 123,
"total_pages": 123,
"data": [
{
"id": "sup_1a2b3c4d5e",
"name": "<string>",
"cui": "<string>",
"rc": "<string>",
"cnp": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"email": "<string>",
"iban": "<string>",
"bank": "<string>",
"contact_person": "<string>",
"contact_phone": "<string>",
"contact_email": "<string>",
"is_vat_payer": true,
"statistics": {
"expense_count": 123,
"total_amount": 123,
"paid_amount": 123,
"unpaid_amount": 123
},
"recent_expenses": [
{
"id": "<string>",
"reference": "<string>",
"amount": 123,
"currency": "<string>",
"date": "2023-12-25",
"is_paid": true
}
],
"metadata": {
"expense_count": 123,
"total_expenses": 123,
"unpaid_total": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}Suppliers
List Suppliers
Retrieve a paginated list of all suppliers
GET
/
suppliers
List all suppliers
Authorizations
Use your API key (sk_live_xxx or sk_test_xxx)
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Search in name, CUI, email
Filter by country code
Filter by VAT payer status
Available options:
0, 1 Only suppliers with expenses
Sort field
Available options:
name, created_at, usage Sort order
Available options:
asc, desc Comma-separated list (statistics,recent_expenses)
When 1, attaches a metadata object to each supplier with
expense_count, total_expenses, and unpaid_total computed
via inline subqueries (avoids N+1). Cheaper than
expand=statistics.
Available options:
0, 1 Was this page helpful?
⌘I